?
Solved

perl modue Graphics::Magick not found

Posted on 2011-04-27
5
Medium Priority
?
1,035 Views
Last Modified: 2012-05-11
Hi guys,
I am trying to install a program that require Graphics::Magick, after exciting CPAN and typing
(Install Graphics::Magick) I got following error:

(((
Warning: Cannot install Graphics::Magick, don’t know what it is.
Try the command
      I  /Graphics::Magick/
To find objects with matching identifiers.

)))

Then I install GraphicsManage-1.3.7-4.el5.x86_64.rpm and GraphicsManage-devel-1.3.7-4.el5.x86_64.rpm

Still after running my program which is called koha, it gives me error message
(Warning: prerequisite Graphics::Magick 1.3.5 not found.)

What is the solution, is it version issue or something else?


0
Comment
Question by:uknet80
  • 2
  • 2
5 Comments
 
LVL 27

Assisted Solution

by:wilcoxon
wilcoxon earned 1332 total points
ID: 35476083
Looking at CPAN, I don't see any such module as Graphics::Magick - there is Image::Magick though (and I do see Graphics::Magick::ColorHistogram).

Also, I note a discrepancy in names above.  The error is about Graphics::Magick but you installed GraphicsManage (note Magick vs Manage).

A quick perusal looks like Graphics::Magick isn't on CPAN but comes with the package obtainable from http://www.graphicsmagick.org/.
0
 
LVL 19

Assisted Solution

by:Kim Ryan
Kim Ryan earned 668 total points
ID: 35480095
0
 

Accepted Solution

by:
uknet80 earned 0 total points
ID: 35481725
thanks for your help

As you said Graphics::Magick is not available under CPAN. next i tried to instasll Imagle::Magick from CPAN but gave me error message. It seams it is tring to fetch PerlMagick. anyway, i went to download ImageMagick source code and compled it. under ImageMagick source file there is PerlMagick, I tried to comple that too i got following error:

perl Makefile.PL
Warning: -L../magick/.libs changed to -L/root/Desktop/ImageMagick-6.6.5-10/PerlMagick/../magick/.libs
Note (probably harmless): No library found for -lperl
Writing Makefile for Image::Magick


again when I try to comple KOHA library system it complain about Graphics::Magick. not installed?

where is the problem, any ideas?


0
 
LVL 27

Assisted Solution

by:wilcoxon
wilcoxon earned 1332 total points
ID: 35483813
I think you need to go to www.graphicsmagick.org and download the package (you can look at the link teraplane provided for perl-specific instructions).  ImageMagick and GraphicsMagick appear to be two competing but similar products so ImageMagick probably won't work.
0
 

Author Closing Comment

by:uknet80
ID: 35704549
I managed to install it the package was
GraphicsMagick-perl

thanks guys
0

Featured Post

Free Tool: Subnet Calculator

The subnet calculator helps you design networks by taking an IP address and network mask and returning information such as network, broadcast address, and host range.

One of a set of tools we're offering as a way of saying thank you for being a part of the community.

Question has a verified solution.

If you are experiencing a similar issue, please ask a related question

Many time we need to work with multiple files all together. If its windows system then we can use some GUI based editor to accomplish our task. But what if you are on putty or have only CLI(Command Line Interface) as an option to  edit your files. I…
Email validation in proper way is  very important validation required in any web pages. This code is self explainable except that Regular Expression which I used for pattern matching. I originally published as a thread on my website : http://www…
Explain concepts important to validation of email addresses with regular expressions. Applies to most languages/tools that uses regular expressions. Consider email address RFCs: Look at HTML5 form input element (with type=email) regex pattern: T…
Six Sigma Control Plans
Suggested Courses

862 members asked questions and received personalized solutions in the past 7 days.

Join the community of 500,000 technology professionals and ask your questions.

Join & Ask a Question